From f6b2421dd93a7eee29b58816cf7d3c1811dab9f9 Mon Sep 17 00:00:00 2001
From: Phil Elwell <phil@raspberrypi.com>
Date: Fri, 8 Jan 2021 13:37:25 +0000
Subject: [PATCH] arch/arm: Add __memset alias to memset_rpi.S

memset_rpi.S is an optimised memset implementation, but doesn't define
__memset (which was just added to memset.S). As a result, building
for the BCM2835 platform causes a link failure.

Add __memset as yet another alias to our common implementation.

Signed-off-by: Phil Elwell <phil@raspberrypi.com>
---
 arch/arm/lib/memset_rpi.S | 2 ++
 1 file changed, 2 insertions(+)

--- a/arch/arm/lib/memset_rpi.S
+++ b/arch/arm/lib/memset_rpi.S
@@ -52,6 +52,7 @@ SOFTWARE, EVEN IF ADVISED OF THE POSSIBI
  */
 ENTRY(mmioset)
 ENTRY(memset)
+ENTRY(__memset)
 ENTRY(__memset32)
 ENTRY(__memset64)
 
@@ -124,5 +125,6 @@ ENTRY(__memset64)
         .unreq  DAT3
 ENDPROC(__memset64)
 ENDPROC(__memset32)
+ENDPROC(__memset)
 ENDPROC(memset)
 ENDPROC(mmioset)
